Author Topic: VLC 3.0.19 don't install !  (Read 7694 times)

R.M. Klippstein

  • Sr. Member
  • ****
  • Posts: 313
  • Karma: +3/-0
    • View Profile
VLC 3.0.19 don't install !
« on: November 06, 2023, 10:53:17 pm »
Updated version of  VLC 3.0.19  on Hobbes, Startvlc.exe doesent start VLC. Anybody got a solution?
Thanks klipp

Dave Yeo

  • Hero Member
  • *****
  • Posts: 4758
  • Karma: +97/-1
    • View Profile
Re: VLC 3.0.19 don't install !
« Reply #1 on: November 06, 2023, 11:10:24 pm »
If you installed it in @unixroot\usr\local and you have a regular AOS install, running vlc.exe should just work as PATH and LIBPATH should be set correctly.
If not,
Code: [Select]
SET PATH=%UNIXROOT%\usr\local\bin;%PATH%
SET BEGINLIBPATH=%UNIXROOT\usr\local\lib;%BEGINLIBPATH%
vlc.exe %1 %2 %3
should work.
Edit, save as vlc.cmd somewhere on your path
« Last Edit: November 06, 2023, 11:12:08 pm by Dave Yeo »

Martin Iturbide

  • OS2World NewsMaster
  • Global Moderator
  • Hero Member
  • *****
  • Posts: 4668
  • Karma: +41/-1
  • Your Friend Wil Declares...
    • View Profile
    • Martin's Personal Blog
Re: VLC 3.0.19 don't install !
« Reply #2 on: November 06, 2023, 11:15:55 pm »
Hi klipp

Here it loads. (Picture attached).

What do you mean with "doesn't start" ? It shows ups like it loads, and unloads without doing anything?

In my case I have this on the LIBPATH - C:\PROGRAMS\VLC2\USR\LOCAL\LIB;

Regards
Martin Iturbide
OS2World NewsMaster
... just share the dream.

Sandra Asja Eickel

  • Newbie
  • *
  • Posts: 31
  • Karma: +1/-0
    • View Profile
Re: VLC 3.0.19 don't install !
« Reply #3 on: November 06, 2023, 11:17:47 pm »
Hello Klipp!

I'm currently on Linux Mint, so I can't test directly.

a) Wait for VLC 3.0.20 to be ported (it was just released a few days after 3.0.19).

b) The launcher StartVLC (even if just uploaded to hobbes) is from 2011 and might not work with recent VLC builds.

c) Do you have the requirements for VLC 3.0.19 installed?

d) Does VLC run from its bin or lib directory (need to find its DLLs)?

e) Are other DLLs of the same name already loaded or earlier in LIBPATH?

Greetings,
Sandra-Asja

andreas

  • Jr. Member
  • **
  • Posts: 67
  • Karma: +4/-0
    • View Profile
Re: VLC 3.0.19 don't install !
« Reply #4 on: November 06, 2023, 11:27:48 pm »
i have the same problem here. doubleclick on exe-file leads to nothing at all..
pm-dll tells me all dll are loaded...

Dave Yeo

  • Hero Member
  • *****
  • Posts: 4758
  • Karma: +97/-1
    • View Profile
Re: VLC 3.0.19 don't install !
« Reply #5 on: November 06, 2023, 11:50:23 pm »
There's a good chance that it uses relative paths to find the plugins, and possibly other stuff like the skins. The fact that Martin could start it with a weird location looks good but the directory setup likely needs kept.
I just unzipped to @unixroot\usr\local and it worked, not that I've done much testing besides having it start. There's also the possibility of conflicts with Qt6 as some of the libraries are the same, not sure about the names.

David Graser

  • Hero Member
  • *****
  • Posts: 859
  • Karma: +83/-0
    • View Profile
Re: VLC 3.0.19 don't install !
« Reply #6 on: November 06, 2023, 11:52:55 pm »
It is probably a missing dll.  You need to download and install pmdll from hobbes if you do not already have it.

https://hobbes.nmsu.edu/download/pub/os2/util/system/PMDLL_2-12.zip

Then go to

drive:\usr\local\bin

and find the vlc.exe

Drag the vic.exe to the pmdll program object that you created.  I usually drag from FM3 container.

It will show you the problem.

Now open YUM.
Select Find in the menu bar.
Select File ...
Type in the missing dll
Click OK
It will look on the server for the missing file in all the RPM packages.
The select the package you need and install.

Be sure to type the file name correctly or it will not be found.

Now try VLC.
« Last Edit: November 06, 2023, 11:58:59 pm by David Graser »

Pete

  • Hero Member
  • *****
  • Posts: 1280
  • Karma: +9/-0
    • View Profile
Re: VLC 3.0.19 don't install !
« Reply #7 on: November 07, 2023, 01:51:34 am »
Hi Dave

Martin is probably not starting it "with a weird location".

Martin has probably done the same as me - unzipped to his choice of location keeping the vlc/2 directory tree. In which case the libpath entry is needed for vlc2\usr\local\bin\vlc.exe to find it's support libs.


Regards

Pete




Dave Yeo

  • Hero Member
  • *****
  • Posts: 4758
  • Karma: +97/-1
    • View Profile
Re: VLC 3.0.19 don't install !
« Reply #8 on: November 07, 2023, 01:54:43 am »
Yes, after posting I read the readme :)

Dariusz Piatkowski

  • Hero Member
  • *****
  • Posts: 1314
  • Karma: +25/-0
    • View Profile
Re: VLC 3.0.19 don't install !
« Reply #9 on: November 07, 2023, 04:40:39 am »
Guys!

...Martin has probably done the same as me - unzipped to his choice of location keeping the vlc/2 directory tree. In which case the libpath entry is needed for vlc2\usr\local\bin\vlc.exe to find it's support libs....

Same here, and for that very reason I have a vlc.cmd that actually kicks things off for me, the contents of which are:

Code: [Select]
SET KVA_AUTOMODE=SNAP
SET BEGINLIBPATH=G:\apps\multimedia\vlc2\usr\local\lib;
G:\apps\multimedia\vlc2\usr\local\bin\vlc.exe %1 %2 %3

To do an update I simply wipe everything but the CMD and unzip to target directory.

David Graser

  • Hero Member
  • *****
  • Posts: 859
  • Karma: +83/-0
    • View Profile
Re: VLC 3.0.19 don't install !
« Reply #10 on: November 07, 2023, 03:26:27 pm »
Guys!

...Martin has probably done the same as me - unzipped to his choice of location keeping the vlc/2 directory tree. In which case the libpath entry is needed for vlc2\usr\local\bin\vlc.exe to find it's support libs....

Same here, and for that very reason I have a vlc.cmd that actually kicks things off for me, the contents of which are:

Code: [Select]
SET KVA_AUTOMODE=SNAP
SET BEGINLIBPATH=G:\apps\multimedia\vlc2\usr\local\lib;
G:\apps\multimedia\vlc2\usr\local\bin\vlc.exe %1 %2 %3

To do an update I simply wipe everything but the CMD and unzip to target directory.

The way I see it, there are 3 methods of installing and one error checking method.

1.Unzip VLC file to a temporary location and then copy it to the location where you want it.  Then add its location where its dlls (the LIB folder) are found to the libpath statement in the config.sys.

2. Unzip VLC file to a temporary location and copy the usr sub folder from the VLC2 folder over the usr folder found in the drive root directory.  This copies all the necessary files to the proper locations without a need to add anything to the libpath statement. For any new version, just repeat the procedure.  I have been doing this without any problems occurring.

3. Use Dariusz method and make a VLC.cmd pointing to the location of the VLC2 folder and its
contents.

If the VLC still does not execute, then use my previous message (reply #6) explaining how to diagnose the problem and how to fix it.
« Last Edit: November 07, 2023, 03:31:44 pm by David Graser »

Mike Kölling

  • Full Member
  • ***
  • Posts: 129
  • Karma: +6/-0
    • View Profile
Re: VLC 3.0.19 don't install !
« Reply #11 on: November 07, 2023, 03:44:36 pm »
I do it usually as David has suggested with #1).
I extracted the zip-file to a folder of my choice. In this case to "F:\Programs\VLC2\".
I have added "F:\Programs\VLC2\USR\LOCAL\LIB;" to my LIBPATH statement in the config.sys long time ago.
And it starts and plays videos as expected.

Greetings from Potsdam, germany
Mike

David Graser

  • Hero Member
  • *****
  • Posts: 859
  • Karma: +83/-0
    • View Profile
Re: VLC 3.0.19 don't install !
« Reply #12 on: November 08, 2023, 02:07:15 pm »
On my freshly installed ArcaOS partition, I downloaded, unzipped, and moved vlc2 to the programs directory and added the LIB path to the libpath statement in the config.sys. After creating a program object, I tried to execute.  Error message.  Using pmdll, it said the vlc.dll could not be found. Location on lib directory in config was correct.  I thus did step 2.  I copied vlc2 usr subdirectory directly over the usr directory found on the drives root directory.  Deleted and remade a new program object.  Same error message. Used pmdll again and this time it could not find the idn11.dll. Using yum to search for the DLL, I down loaded the package containing the DLL and installed. Now VLC works. 

I believe no matter how you install VLC, it will not work until tha idn11.dll is installed. Once installed, VLC will work from any location when updated.

Also, under properties > video, look for the video option and take off auto and select dive.  Otherwise, the video may hang during play or when done.
« Last Edit: November 08, 2023, 02:19:28 pm by David Graser »

Mike Kölling

  • Full Member
  • ***
  • Posts: 129
  • Karma: +6/-0
    • View Profile
Re: VLC 3.0.19 don't install !
« Reply #13 on: November 08, 2023, 02:57:34 pm »
I believe no matter how you install VLC, it will not work until tha idn11.dll is installed. Once installed, VLC will work from any location when updated.

I can confirm Davids finding. I have the idn11.dll aready in my Unixroot partion. I can't remember when I placed it there.
If I remove the idn11.dll then VLC cannot start.

Greetings, Mike

Martin Iturbide

  • OS2World NewsMaster
  • Global Moderator
  • Hero Member
  • *****
  • Posts: 4668
  • Karma: +41/-1
  • Your Friend Wil Declares...
    • View Profile
    • Martin's Personal Blog
Re: VLC 3.0.19 don't install !
« Reply #14 on: November 08, 2023, 04:51:42 pm »
I believe no matter how you install VLC, it will not work until tha idn11.dll is installed. Once installed, VLC will work from any location when updated.

FYI: idn11.dll say it is located inside the libidn package. "yum install libidn"
I have it already installed there, I don't remember if I installed it previously for something else.

Regards
Martin Iturbide
OS2World NewsMaster
... just share the dream.